using Hotline.Share.Enums.Settings;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Settings
{
	[Description("标签")]
	public class BusinessTag : FullStateEntity
	{
		/// <summary>
		/// 标签名称
		/// </summary>
		[SugarColumn(ColumnDescription = "标签名称")]
		public string Name { get; set; }

		/// <summary>
		/// 分类
		/// </summary>
		[SugarColumn(ColumnDescription = "分类")]
		public string? Classify { get; set; }

		/// <summary>
		/// 标签类型
		/// </summary>
		[SugarColumn(ColumnDescription = "标签类型  1 标签  2 分类 ")]
		public ETagType? Type { get; set; }

		/// <summary>
		/// 业务标签类型
		/// </summary>
		[SugarColumn(ColumnDescription = "业务标签类型  1 工单  2 知识库 ")]
		public EBusinessTagType? BusinessType { get; set; }
	}
}
